{
  description = "FabApp";

  # Inspired by https://github.com/mitchellh/zig-objc/blob/main/flake.nix
  inputs = {
    # take unstable if not specified
    # nixpkgs.url = "github:nixos/nixpkgs/release-23.05";
    # nixpkgs.url = "github:NixOS/nixpkgs/unstable";
    flake-utils.url = "github:numtide/flake-utils";
    zig.url = "github:mitchellh/zig-overlay";
  };

  outputs = {
    self,
    nixpkgs,
    flake-utils,
    ...
  } @ inputs: let
    overlays = [
      (final: prev: {
        zigpkgs = inputs.zig.packages.${prev.system};
      })
    ];
    systems = ["x86_64-linux"];
  in
    flake-utils.lib.eachSystem systems (
      system: let
        pkgs = import nixpkgs {inherit overlays system;};
      in rec {
        devShells.default = pkgs.mkShell {
          nativeBuildInputs = with pkgs; [
            zigpkgs.master
            zls
            emscripten
            sqlite
          ];
        };
        formatter = pkgs.alejandra;
      }
    );
}
